Retrieve Destination Secret
Retrieves the current signing secret for a destination. Use this secret to verify the authenticity of event payloads.
/destinations/{destinationId}/secretThis endpoint retrieves the current signing secret for an event destination. You can use this secret to verify the authenticity of event payloads.
- Call this endpoint with the destination's ID. Stedi returns this ID in the responses from the Create Destination and List Destinations endpoints.
- The endpoint returns the signing secret for the destination.
If you recently rotated the secret, the response also includes the expiration time for the previous secret, allowing you to support both secrets during the transition period.
A Stedi API Key for authentication. Supports both test and production API keys.
Path Parameters
^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier for the destination. You can retrieve destination IDs with the List Destinations endpoint.
Response
Expiration timestamp for the previous secret. Only present when a secret rotation is in progress.
^whsec_[A-Za-z0-9+/=]+$Format: passwordLength: 30 - 255The signing secret for verifying event payloads. Visit verify event signatures for details.
curl --request GET \ --url "https://events.us.stedi.com/2026-02-01/destinations/{destinationId}/secret" \ --header "Authorization: <api_key>"{
"signingSecret": "whsec_YWJjZGVmZ2hpamtsbW5vcHFyc3R1dnd4eXoxMjM0NTY="
}